package com.saye.hrs.mapper;

import com.saye.hrs.model.BodyDivision;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 症状管理业务接口Mapper
 * @author: Mr.zs
 * @create: 2024-04-09 17:11
 **/
@Mapper
public interface SymptomMapper {


    List<HashMap<Object, Object>> findAllSymptom(Map<String, String> symptom);

    List<BodyDivision> findAllBodyArea();

    void addSymptom(HashMap<Object, Object> map);

    Integer findMaxId();

    void modifySymptom(HashMap<Object, Object> map);

    void delSymptom(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> getSymptomByAreaType(HashMap<Object, Object> searchMap);

    List<BodyDivision> findAreaTypeBySexAdult(Map<String, String> searchMap);
}
